com.sun.pdfview

## Class ByteBufferInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.sun.pdfview.ByteBufferInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class ByteBufferInputStream
    extends java.io.InputStream

Exposes a `ByteBuffer` as an `InputStream`.

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferInputStream(java.nio.ByteBuffer buffer)` Class constructor

### Method Summary

Methods
`int` `available()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`close, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferInputStream

    public ByteBufferInputStream(java.nio.ByteBuffer buffer)

Class constructor

Parameters:
  `buffer` - the buffer to present as an input stream, positioned at the current read position of the byte buffer

### Method Detail

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### mark

    public void mark(int readlimit)

Overrides:
  `mark` in class `java.io.InputStream`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `java.io.InputStream`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.InputStream`
Throws:
  `java.io.IOException`